org.encog.neural.freeform.training

## Class FreeformResilientPropagation

- java.lang.Object
- - org.encog.ml.train.BasicTraining
  - - org.encog.neural.freeform.training.FreeformPropagationTraining
    - - org.encog.neural.freeform.training.FreeformResilientPropagation

- All Implemented Interfaces:
    Serializable, MLTrain

      public class FreeformResilientPropagation
      extends FreeformPropagationTraining
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TEMP_GRADIENT` Temp value #0: the gradient.
    `static int` | `TEMP_LAST_GRADIENT` Temp value #1: the last gradient.
    `static int` | `TEMP_LAST_WEIGHT_DELTA` Temp value #3: the the last weight delta.
    `static int` | `TEMP_UPDATE` Temp value #2: the update.

    - ### Fields inherited from class org.encog.neural.freeform.training.FreeformPropagationTraining

      `FLAT_SPOT_CONST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreeformResilientPropagation(FreeformNetwork theNetwork, MLDataSet theTraining)` Construct the RPROP trainer, Use default intiial update and max step.
    `FreeformResilientPropagation(FreeformNetwork theNetwork, MLDataSet theTraining, double initialUpdate, double theMaxStep)` Construct the RPROP trainer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `learnConnection(FreeformConnection connection)` Learn for a single connection.
    `TrainingContinuation` | `pause()` Pause the training to continue later.
    `void` | `resume(TrainingContinuation state)` Resume training.

    - ### Methods inherited from class org.encog.neural.freeform.training.FreeformPropagationTraining

      `canContinue, finishTraining, getBatchSize, getError, getImplementationType, getIteration, getMethod, getTraining, isFixFlatSopt, iteration, iteration, learn, processBatches, processPureBatch, setBatchSize, setError, setFixFlatSopt, setIteration`

    - ### Methods inherited from class org.encog.ml.train.BasicTraining

      `addStrategy, getStrategies, isTrainingDone, postIteration, preIteration, setTraining`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEMP_GRADIENT

          public static final int TEMP_GRADIENT

      Temp value #0: the gradient.
      See Also:
        Constant Field Values

    - #### TEMP_LAST_GRADIENT

          public static final int TEMP_LAST_GRADIENT

      Temp value #1: the last gradient.
      See Also:
        Constant Field Values

    - #### TEMP_UPDATE

          public static final int TEMP_UPDATE

      Temp value #2: the update.
      See Also:
        Constant Field Values

    - #### TEMP_LAST_WEIGHT_DELTA

          public static final int TEMP_LAST_WEIGHT_DELTA

      Temp value #3: the the last weight delta.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FreeformResilientPropagation

          public FreeformResilientPropagation(FreeformNetwork theNetwork,
                                      MLDataSet theTraining)

      Construct the RPROP trainer, Use default intiial update and max step.
      Parameters:
        `theNetwork` - The network to train.
        `theTraining` - The training set.

    - #### FreeformResilientPropagation

          public FreeformResilientPropagation(FreeformNetwork theNetwork,
                                      MLDataSet theTraining,
                                      double initialUpdate,
                                      double theMaxStep)

      Construct the RPROP trainer.
      Parameters:
        `theNetwork` - The network to train.
        `theTraining` - The training set.
        `initialUpdate` - The initial update.
        `theMaxStep` - The max step.

  - ### Method Detail

    - #### learnConnection

          protected void learnConnection(FreeformConnection connection)

      Learn for a single connection.
      Specified by:
        `learnConnection` in class `FreeformPropagationTraining`
      Parameters:
        `connection` - The connection to learn from.

    - #### pause

          public TrainingContinuation pause()

      Pause the training to continue later.
      Specified by:
        `pause` in interface `MLTrain`
      Returns:
        A training continuation object.

    - #### resume

          public void resume(TrainingContinuation state)

      Resume training.
      Specified by:
        `resume` in interface `MLTrain`
      Parameters:
        `state` - The training continuation object to use to continue.

Copyright © 2014. All Rights Reserved.